Skip to Content

Approval requests

Immutable tool intents requested by OAuth clients and decided by organization owners in their signed-in sessions.

Endpoints

EndpointWhat it does
POST /v1/approval-requestsRequest approval for an OAuth tool intent
GET /v1/approval-requests/{id}Read an approval request
POST /v1/approval-requests/{id}/approveApprove and execute an OAuth tool intent
POST /v1/approval-requests/{id}/rejectReject an OAuth tool intent

Base URL, authentication, errors, and pagination are the same for every endpoint; see the REST API reference.

Related documentation

On this page